Name:             cxf-xjc-utils
Version:          2.6.2
Release:          %mkrel 3
Summary:          Apache CXF XJC-Utils
Group:            Development/Java
License:          ASL 2.0
URL:              http://cxf.apache.org/xjc-utils.html

# svn export http://svn.apache.org/repos/asf/cxf/xjc-utils/tags/xjc-utils-2.6.2/ cxf-xjc-utils-2.6.2
# tar cafJ cxf-xjc-utils-2.6.2.tar.xz cxf-xjc-utils-2.6.2

Source0:          cxf-xjc-utils-%{version}.tar.xz

BuildArch:        noarch

BuildRequires:    cxf-build-utils
BuildRequires:    maven-local
BuildRequires:    maven-compiler-plugin
BuildRequires:    maven-install-plugin
BuildRequires:    maven-jar-plugin
BuildRequires:    maven-javadoc-plugin
BuildRequires:    maven-shade-plugin
BuildRequires:    maven-checkstyle-plugin
BuildRequires:    apache-commons-lang
BuildRequires:    glassfish-jaxb
BuildRequires:    glassfish-jaxb-api
BuildRequires:    junit
BuildRequires:    jvnet-parent
BuildRequires:    maven-project
BuildRequires:    maven-downloader
BuildRequires:    maven-surefire-provider-junit
BuildRequires:    ws-jaxme
BuildRequires:    wsdl4j

%description
The Apache CXF XJC-Utils provides a bunch of utilities for working
with JAXB to generate better or more usable code.

%package javadoc
Summary:          Javadoc for %{name}

%description javadoc
This package contains the API documentation for %{name}.

%prep
%setup -q -n %{name}-%{version}

%pom_remove_plugin org.apache.maven.plugins:maven-pmd-plugin
%pom_disable_module bug671

# maven-checkstyle-plugin:2.12:checkstyle (validate) on project cxf-xjc-plugin:
# An error has occurred in Checkstyle report generation.
# Failed during checkstyle configuration: cannot initialize module TreeWalker
# - Unable to instantiate JUnitTestCase: Unable to instantiate JUnitTestCaseCheck -> [Help 1]
%pom_remove_plugin -r :maven-checkstyle-plugin

%build
%mvn_build -f

%install
%mvn_install

%files -f .mfiles
%files javadoc -f .mfiles-javadoc


%changelog
* Wed Mar 02 2016 neoclust <neoclust> 2.6.2-3.mga6
+ Revision: 982492
- Second rebuild of the java stack

* Sun Feb 28 2016 daviddavid <daviddavid> 2.6.2-2.mga6
+ Revision: 980292
- First rebuild of the java stack
- sync package cxf-xjc-utils with fedora

  + umeabot <umeabot>
    - Mageia 6 Mass Rebuild

* Sun Aug 09 2015 daviddavid <daviddavid> 2.6.2-1.mga6
+ Revision: 861985
- sync with fc23 (update to 2.6.2)
- fix owner of maven-poms dir

* Sat Dec 27 2014 daviddavid <daviddavid> 2.6.0-9.mga5
+ Revision: 806429
- fix mga5 build failure
- add missing BRs (maven-plugin-plugin)
- switch to %%mvn_artifact and javapackages-local
- use .mfiles generated during build
- use Requires: java-headless

  + umeabot <umeabot>
    - Second Mageia 5 Mass Rebuild
    - Mageia 5 Mass Rebuild

* Fri Oct 18 2013 luigiwalser <luigiwalser> 2.6.0-6.mga4
+ Revision: 504117
- BR maven-local for mvn-rpmbuild

  + umeabot <umeabot>
    - Mageia 4 Mass Rebuild

* Fri Jan 11 2013 umeabot <umeabot> 2.6.0-4.mga3
+ Revision: 348527
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Dec 16 2012 dmorgan <dmorgan> 2.6.0-3.mga3
+ Revision: 331515
- imported package cxf-xjc-utils


* Wed Jul 18 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.6.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Thu May 10 2012 Patryk Obara <pobara@redhat.com> 2.6.0-2
- Install phase cleaned (whitespace warnings and unnecessary dir)
- maven removed from requires

* Thu May 10 2012 Patryk Obara <pobara@redhat.com> 2.6.0-1
- Initial packaging

